
collecting_society - Webfrontend #397

Clean up temporary path

04/17/2017 06:15 AM - Alexander Blum

Status: Erledigt Start date:  

Priority: Hoch Due date:  

Assignee: Thomas Mielke % Done: 100%

Category:  Estimated time: 1.00 hour

Target version: Repertoire 1) Testing phase I Spent time: 3.00 hours

Description

The temporary path should be cleaned up regularly to delete aborted partial uploads. The files could be deleted, if they are 3 days

old.

Should this be handles by the web container or via processing script?

History

#1 - 04/17/2017 02:15 PM - Thomas Mielke

- Assignee changed from Thomas Mielke to Alexander Blum

should be done by the web service as the repertoire processor only cares for the upload folder. clear separation of concerns is more important than

functional similarities.

#2 - 04/17/2017 06:11 PM - Alexander Blum

- Tracker changed from Verarbeitung to Webfrontend

- Status changed from Feedback to Neu

- Assignee deleted (Alexander Blum)

- Priority changed from Normal to Hoch

#3 - 01/26/2018 04:16 PM - Thomas Mielke

- Assignee set to Thomas Mielke

#4 - 02/17/2018 12:41 AM - Thomas Mielke

- Status changed from Neu to Erledigt

- % Done changed from 0 to 100

Commit: https://github.com/C3S/collecting_society.portal.repertoire/commit/dab12c282fb1200086c2ce8ef8896e1d848415ba

TODO: only check on first chunk

TODO: add timestamp file in temp folder to track if cleanup run was already started this day

#5 - 10/08/2019 03:34 PM - Alexander Blum

- Target version changed from 1) Testing phase I to Repertoire 1) Testing phase I

#6 - 10/08/2019 03:51 PM - Alexander Blum

- Project changed from repertoire to collecting_society
